> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Teams

> Retrieve a paginated list of teams. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /arenas/{id}/teams
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /arenas/{id}/teams:
    get:
      tags:
        - Arena
      summary: Teams
      description: >-
        Retrieve a paginated list of teams. Use the `fields` parameter to
        customize response fields.
      operationId: listArenasTeams
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          description: Numeric ID of the arena to get teams for
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - name
                - extraName
                - fullName
                - logo
                - logoUrl
                - founded
                - city
                - colors
                - status
                - league
                - secondaryLeague
                - teamType
                - teamClass
                - country
                - continent
                - flagUrl
                - defaultSeason
                - activeSeason
                - secondaryArena
                - capHit
                - views
                - currentRosterSize
                - links
                - notes
                - eliteprospectsUrlPath
                - slug
                - updatedAt
                - _links
                - mhrRating
                - mhrId
                - mhrUrl
                - logo.*
                - league.*
                - secondaryLeague.*
                - country.*
                - flagUrl.*
                - defaultSeason.*
                - activeSeason.*
                - secondaryArena.*
                - links.*
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* id, name, extraName, fullName, logo, logoUrl, founded, city, colors, status, league, secondaryLeague, teamType, teamClass, country, continent, flagUrl, defaultSeason, activeSeason, secondaryArena, capHit, views, currentRosterSize, links, notes, eliteprospectsUrlPath, slug, updatedAt, _links, mhrRating, mhrId, mhrUrl"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
        - in: query
          name: sort
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - '-id'
                - name
                - '-name'
                - country
                - '-country'
                - teamClass
                - '-teamClass'
                - views
                - '-views'
                - updatedAt
                - '-updatedAt'
                - mhrRating
                - '-mhrRating'
            default: name
          style: form
          explode: false
          required: false
          description: >-
            Sort results by field name. Prefix with `-` for descending order
            (e.g., `-name`).
        - in: query
          name: id
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by id
          style: form
          explode: false
        - in: query
          name: id:gt
          schema:
            type: integer
          required: false
          description: Filter by id greater than
        - in: query
          name: q
          schema:
            type: string
          required: false
          description: Full-text search by name
        - in: query
          name: name
          schema:
            type: string
          required: false
          description: Filter by name
        - in: query
          name: city
          schema:
            type: string
          required: false
          description: Filter by city
        - in: query
          name: country
          schema:
            type: string
          required: false
          description: Filter by country slug in ISO 3166-1 alpha-3
        - in: query
          name: country:not
          schema:
            type: string
          required: false
          description: Filter by country slug not equal to in ISO 3166-1 alpha-3
        - in: query
          name: continent
          schema:
            $ref: '#/components/schemas/Continent'
          required: false
          description: Filter by continent
        - in: query
          name: league
          schema:
            type: string
          required: false
          description: Filter by league slug
        - in: query
          name: league.leagueLevel
          schema:
            type: string
          required: false
          description: Filter by league.leagueLevel
        - in: query
          name: status
          schema:
            $ref: '#/components/schemas/TeamStatus'
          required: false
          description: Filter by status
        - in: query
          name: playingInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by playingInLeague
          style: form
          explode: false
        - in: query
          name: notPlayingInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by notPlayingInLeague
          style: form
          explode: false
        - in: query
          name: hasPlayedInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by hasPlayedInLeague
          style: form
          explode: false
        - in: query
          name: hasPlayedInLeague.season
          schema:
            type: string
          required: false
          description: Filter by hasPlayedInLeague.season slug
        - in: query
          name: neverPlayedInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by neverPlayedInLeague
          style: form
          explode: false
        - in: query
          name: teamType
          schema:
            $ref: '#/components/schemas/TeamType'
          required: false
          description: Filter by teamType
        - in: query
          name: teamClass
          schema:
            $ref: '#/components/schemas/TeamClass'
          required: false
          description: Filter by teamClass
        - in: query
          name: updatedAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by updatedAt greater or equal to in ISO-8601 format for date
            and time
      responses:
        '200':
          description: A paginated list of teams.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Team'
          x-field-info:
            defaultFields:
              - id
              - name
              - status
              - league
              - teamType
              - teamClass
              - country
              - continent
              - _links
            extendedFields:
              - extraName
              - fullName
              - logo
              - logoUrl
              - founded
              - city
              - colors
              - secondaryLeague
              - flagUrl
              - defaultSeason
              - activeSeason
              - secondaryArena
              - capHit
              - views
              - currentRosterSize
              - links
              - notes
              - eliteprospectsUrlPath
              - slug
              - updatedAt
              - mhrRating
              - mhrId
              - mhrUrl
            notSupportedFields:
              - arena
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    Continent:
      type: string
      enum:
        - INT
        - AF
        - AN
        - AS
        - EU
        - NA
        - OC
        - SA
        - null
      nullable: true
    TeamStatus:
      type: string
      enum:
        - active
        - not-active
    TeamType:
      type: string
      enum:
        - club
        - international
    TeamClass:
      type: string
      enum:
        - men
        - women
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    Team:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        extraName:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
        logo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        founded:
          type: integer
          nullable: true
        city:
          type: string
          nullable: true
        colors:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/TeamStatus'
        league:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        secondaryLeague:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        teamType:
          $ref: '#/components/schemas/TeamType'
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        arena:
          allOf:
            - $ref: '#/components/schemas/Arena'
          nullable: true
        secondaryArena:
          allOf:
            - $ref: '#/components/schemas/Arena'
          nullable: true
        capHit:
          type: string
          nullable: true
        views:
          type: integer
          nullable: true
        currentRosterSize:
          type: integer
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
              nullable: true
            newsUrl:
              type: string
              nullable: true
            newspaperUrl:
              type: string
              nullable: true
            tvUrl:
              type: string
              nullable: true
            radioUrl:
              type: string
              nullable: true
            blogUrl:
              type: string
              nullable: true
            forumUrl:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
            capHitUrl:
              type: string
              nullable: true
            lineCombinationsUrl:
              type: string
              nullable: true
            nationNetworkUrl:
              type: string
              nullable: true
        notes:
          type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        slug:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
        mhrRating:
          type: number
          format: float
          nullable: true
        mhrId:
          type: integer
          nullable: true
        mhrUrl:
          type: string
          nullable: true
    League:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        fullName:
          type: string
          nullable: true
        commonName:
          type: string
          nullable: true
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        leagueType:
          type: string
          nullable: true
        leagueLevel:
          type: string
          nullable: true
        scheduleType:
          $ref: '#/components/schemas/ScheduleType'
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        region:
          type: string
          nullable: true
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        logo:
          properties:
            url:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        numberOfTeams:
          type: integer
          nullable: true
        primaryDraftType:
          allOf:
            - $ref: '#/components/schemas/DraftType'
          nullable: true
        existsInLeagueEndpoint:
          type: boolean
        hasProjectedStats:
          type: boolean
        historicalData:
          type: array
          items:
            properties:
              slug:
                type: string
              name:
                type: string
              fullName:
                type: string
                nullable: true
              firstSeason:
                $ref: '#/components/schemas/Season'
              lastSeason:
                allOf:
                  - $ref: '#/components/schemas/Season'
                nullable: true
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
            statsUrl:
              type: string
            newsUrls:
              type: array
              items:
                type: string
            forumUrl:
              type: string
            facebook:
              type: string
            x:
              type: string
              nullable: true
            twitter:
              type: string
            instagram:
              type: string
            youtube:
              type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
          nullable: true
        _links:
          type: array
          items:
            type: string
          nullable: true
    Country:
      type: object
      properties:
        slug:
          type: string
          description: ISO 3166-1 alpha-3
        name:
          type: string
        iso_3166_1_alpha_2:
          type: string
          nullable: true
          description: ISO 3166-1 alpha-2
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Season:
      type: object
      properties:
        slug:
          type: string
        startYear:
          type: integer
        endYear:
          type: integer
    Arena:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        location:
          type: string
          nullable: true
        yearOfConstruction:
          type: integer
          nullable: true
        capacity:
          type: integer
          nullable: true
        infoAsHTML:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        eliteprospectsUrlPath:
          type: string
        _links:
          type: array
          items:
            type: string
        updatedAt:
          type: string
    ScheduleType:
      type: string
      enum:
        - default
        - summer
        - null
      nullable: true
    DraftType:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        league:
          $ref: '#/components/schemas/League'
        _links:
          type: array
          items:
            type: string
        eliteprospectsUrlPath:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````